> For the complete documentation index, see [llms.txt](https://docs.bcbi.brown.edu/codiac-for-health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bcbi.brown.edu/codiac-for-health/observational-research/health-terminologies/finding-health-terminology-codes.md).

# Finding Health Terminology Codes

This page provides an index of health terminology code browsers as well as examples for finding code groupings. Researchers may benefit from using multiple resources and methods for finding codes and code groupings.

## Health Terminology Code Browsers

* Diagnosis Codes
  * [Athena Concept Browser](https://athena.ohdsi.org/search-terms/start) (various vocabularies with emphasis on OMOP codes)
  * [ICD10Data](https://www.icd10data.com/ICD10CM/Codes) (ICD-10-CM)\*
  * [CDC ICD Tool](https://icd10cmtool.cdc.gov/?fy=FY2024) (ICD-10-CM)\*
  * [ICD9Data](http://www.icd9data.com/?__hstc=93424706.b954b2f82d2689f1d2646139c6d8c7c3.1623769476481.1623769476481.1623769476481.1&__hssc=93424706.3.1623769476482&__hsfp=1708933491) (ICD-9-CM)\*
  * [SNOMED CT Browsers](https://www.nlm.nih.gov/research/umls/Snomed/snomed_browsers.html) (SNOMED CT)
* Procedure Codes
  * [Athena Concept Browser](https://athena.ohdsi.org/search-terms/start) (various vocabularies with emphasis on OMOP codes)
  * [ICD10Data](https://www.icd10data.com/ICD10PCS/Codes) (ICD-10-PCS)\*
  * [ICD9Data ](http://www.icd9data.com/?__hstc=93424706.b954b2f82d2689f1d2646139c6d8c7c3.1623769476481.1623769476481.1623769476481.1&__hssc=93424706.3.1623769476482&__hsfp=1708933491)(HCPCS)\*
  * [CPT Code Lookup](https://www.aapc.com/codes/cpt-codes-range/) (CPT)
* Laboratory Codes
  * [Athena Concept Browser](https://athena.ohdsi.org/search-terms/start) (various vocabularies with emphasis on OMOP codes)
  * [SearchLOINC](https://loinc.org/search/) (LOINC)
* Medication Codes
  * [Athena Concept Browser](https://athena.ohdsi.org/search-terms/start) (various vocabularies with emphasis on OMOP codes)
  * [RxNav](https://mor.nlm.nih.gov/RxNav/) (RxNorm)
  * [NDC Directory](https://www.accessdata.fda.gov/scripts/cder/ndc/index.cfm) (NDC)

\*On October 1, 2015, there was a switch from ICD-9-CM to ICD-10-CM. If you are requesting or extracting data from or prior to October 1, 2015, you will need to specify both ICD9 and ICD10 codes.

## Health Terminology Code Groupings

A clinical concept may have multiple associated codes, each referencing a specific sub-category of that concept. Using pre-gathered and categorized code groupings can help ensure that your study team finds all relevant data. Your study team may benefit from using several of the following methods/resources when looking for code groupings.

* Review Methods and Appendix sections of research literature for code groupings
* Use the [UMLS Metathesaurus Browser](https://uts.nlm.nih.gov/uts/umls/home) which containes terms, codes, hierarchies, definitions, and other relationships and attributes from many vocabularies. These include CPT, ICD-10-CM, LOINC, MeSH, RxNorm, and SNOMED CT.&#x20;
* The [OHDSI ATLAS demo](https://atlas-demo.ohdsi.org/) contains many code lists (concept sets) across all domains (diagnoses, procedures, medications, etc.). However, many of these concept sets have not been approved by anyone. Those that have been reviewed and approved are prefixed with brackets, “\[ ]”, however even these are subject to change. All concept sets taken from ATLAS should be reviewed by a subject matter expert before use.
* The National COVID Cohort Collaborative (N3C) has recommended additional diagnosis/problem list code groupings. If you do not have access to the N3C Enclave, you may find a sampling of these codes sets here: [n3c\_concept\_sets](https://docs.google.com/spreadsheets/d/1WYpJ0NEx3iZ7ZOP1g3WUO8axBeFj3SMrr3ztUyjGSos/edit#gid=1988270937).
* Refer to the <mark style="background-color:red;">Exercises and Case Studies</mark> chapter for examples using following Code Maps and Indexes:
  * Diagnosis/problem: [PhecodeX](https://phewascatalog.org/phecode_x), [CCS](https://hcup-us.ahrq.gov/toolssoftware/ccs/ccs.jsp), [CCSR](https://hcup-us.ahrq.gov/toolssoftware/ccsr/dxccsr.jsp)
  * Medication: [NDC Directory](https://www.accessdata.fda.gov/scripts/cder/ndc/index.cfm), [ATC Index](https://www.whocc.no/atc_ddd_index/)
  * Procedure: [CCS](https://hcup-us.ahrq.gov/toolssoftware/ccs/ccs.jsp), [CCSR](https://hcup-us.ahrq.gov/toolssoftware/ccsr/prccsr.jsp)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bcbi.brown.edu/codiac-for-health/observational-research/health-terminologies/finding-health-terminology-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
